llvm-toolchain-3.7 FTBFS on i386 [SRU]

Bug #1527865 reported by Robie Basak on 2015-12-19
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
llvm-toolchain-3.7 (Ubuntu)
High
Unassigned

Bug Description

[Impact]

* People can't use llvm on i386

[Test Case]

* llvm doesn't build there

[Regression Potential]

 * None.

llvmt-toolchain-3.7 FTBFS on i386 on both Wily and Xenial. See https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2015-December/015993.html. I'm filing this to help those following that thread to track this.

Robie Basak (racb) on 2015-12-19
description: updated
Changed in llvm-toolchain-3.7 (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in llvm-toolchain-3.7 (Ubuntu):
status: New → Confirmed

Please:

1. Edit this bug so it is clear for anyone what is it about without the need to visit an external link.
2. Set this bug status back to "confirmed".

Thank you.

Changed in llvm-toolchain-3.7 (Ubuntu):
status: Confirmed → Incomplete
Robie Basak (racb) wrote :

@Alberto

I'm an Ubuntu Core Developer. I'm confident that "FTBFS on i386 on Wily and Xenial" is enough for any Ubuntu developer to understand what the bug is about. The external link is only for context in understanding bug impact, not the bug itself.

To be more specific for future reference to save developers looking it up, the relevant package versions are 1:3.7-2ubuntu1 and 1:3.7.1-1ubuntu1.

tags: added: ftbfs
Changed in llvm-toolchain-3.7 (Ubuntu):
status: Incomplete → Triaged

 @Robie, the problem seems more on the buildd system instead of llvm itself, because I see the build killed after 150 minutes of inactivity.

Could you please sponsor the following debdiff? It just disables the LLDB testsuite for i386 (it is already disabled for some arm* architectures).

you can see a successful build here
https://launchpad.net/~costamagnagianfranco/+archive/ubuntu/locutusofborg-ppa/+build/8742323

Robie Basak (racb) wrote :

Thank you for the debdiff! This looks good to me and I'd be happy to sponsor it, but I'd just like to give Matthias an opportunity to comment first in case it's the wrong thing to do. I've subscribed him to this bug. If Matthias hasn't objected after a while ping me and I'll sponsor.

17:15 <rbasak> LocutusOfBorg1: in your PPA test you disabled both LLDB build and test, but your submitted debdiff only disables test.
17:15 <rbasak> I'm not sure how I feel about this.
17:15 <rbasak> If it works then it's better than a complete FTBFS I suppose.
17:16 <rbasak> But are we shoving something under the carpet that will be a maintenance burden for us later?
17:16 <rbasak> LocutusOfBorg1: let me comment in the bug. If doko doesn't object then I'll sponsor.
17:16 <rbasak> LocutusOfBorg1: in the meantime do you mind confirming in your PPA that disabling just the LLDB test works please?
17:17 <rbasak> Also, is it suitable to build it if it is not being tested? Or if the test is a problem perhaps we _should_ also disable the build?
17:17 -!- doko [~doko@95.91.247.74] has quit [Ping timeout: 250 seconds]
17:17 <rbasak> I really appreciate your help here. My problem is that I don't know enough about LLVM to be completely confident sponsoring. So let's see what doko thinks.

I don't see disabling the tests as a good solution. trunk currently builds, so
apparently something was fixed and is missing from the 3.7 branch.

what about this debdiff?

I disabled completely lldb for i386, and I'll try to ask upstream to backport something.
(3.8 should be out before xenial freeze, I hope to have it in xenial)

I tried llvm-toolchain-snapshot (aka upcoming 3.8) and i386 is fixed
https://launchpad.net/~costamagnagianfranco/+archive/ubuntu/costamagnagianfranco-ppa/+build/8745236

so I think unless upstream provides us a way to cherry-pick a fix we can just drop LLDB and wait for 3.8 to come out

Jarkko Korpi (jarkko-korpi-t) wrote :

Any idea when this 3.8 comes then? Also if you have a bug report at upstream for this issue. Please share. It's not for everyone to build their own mesa packages.

I just downloaded saint row 4 (published yesterday for Linux via steam). And it requires opengl 4.1.

It's not just ubuntu that needs this fix. It impacts lots of users really.

@Robie, how do you feel about the other debdiff?

@Jarkko disabling LLDB doesn't require to wait for 3.8,
LLVM 3.8.0 Release Schedule:

    16 January 2016: Branch, prepare RC1.
    27 January: RC2: critical bugfixes only.
    18 February: Tag final release.
    Soon thereafter: Release LLVM 3.8.0.

Upstream bug here
https://llvm.org/bugs/show_bug.cgi?id=25921

I don't remember how to link it

Timo Aaltonen (tjaalton) wrote :

We've discussed what the default llvm version for 16.04 will be, and settled on 3.8. Once (at least) RC1 is available mesa will switch to it.

Jarkko Korpi (jarkko-korpi-t) wrote :

Well that sounds good.

@Timo, while I agree about llvm-3.8 for xenial, I don't see any good reason for not having an llvm-3.7 on i386 too, specially because the fix (the last one) should be good and trivial.

happy new year :)

Jarkko Korpi (jarkko-korpi-t) wrote :

LLVM 3.71 relased

http://lists.llvm.org/pipermail/llvm-announce/2016-January/000066.html

Does it help? Available from upstream?

no, it doesn't.
xenial already have 3.7.1.

I'm pushing it in a few minutes/hours, and then in wily as SRU

description: updated
summary: - FTBFS on i386
+ FTBFS on i386 [SRU]
summary: - FTBFS on i386 [SRU]
+ llvm-toolchain-3.7 FTBFS on i386 [SRU]
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-3.7 - 1:3.7.1-1ubuntu2

---------------
llvm-toolchain-3.7 (1:3.7.1-1ubuntu2) xenial; urgency=medium

  * Disable LLDB on i386, the testsuite is failing.
    (LP: #1527865)

 -- Gianfranco Costamagna <email address hidden> Sun, 20 Dec 2015 09:35:09 +0100

Changed in llvm-toolchain-3.7 (Ubuntu):
status: Triaged → Fix Released
Jarkko Korpi (jarkko-korpi-t) wrote :

I already got it working in mint

glxinfo |grep core
OpenGL core profile version string: 4.1 (Core Profile) Mesa 11.2.0-devel (git-040e314 2016-01-08 trusty-oibaf-ppa)
OpenGL core profile shading language version string: 4.10

Thank you.

Oibaf (oibaf) wrote :

Yes, I rebuilt libclc and mesa in my PPA with llvm 3.7 backported from xenial. You should get OpenGL 4+ on radeonsi now.

As a bonus it would be nice to have the fixed llvm 3.7 in wily.

eh, I personally uploaded the fix fow wily as soon as I uploaded xenial build
https://launchpad.net/ubuntu/wily/+queue?queue_state=1&queue_text=

waiting in unapproved queue for somebody to approve it (release team should approve fixes in stable releases).

Oibaf (oibaf) wrote :

There are two other archs failing to build on Xenial, powerpc and s390x. Apparently this is blocking bug 1412441, until at least llvm 3.8 is released.

Robie Basak (racb) wrote :

@Oibaf

This bug was specifically for the i386 FTBFS, which I filed because there was a particular use case being discussed on the ubuntu-devel-discuss ML and is now resolved with the fix of this FTBFS. So I think it's useful to track any FTBFS on powerpc or s390x separate if you want that. So if you want to track status of those FTBFS for the purpose of the MIR bug 1412441, I suggest you file another bug (a single one will do unless we find they have different root causes) to track them, since this bug will soon be forgotten about given it is now Fix Released.

Oibaf (oibaf) wrote :

Filed bug 1532716. Thanks

Fixed in wily proposed

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.